<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if (!defined('ABSPATH') && !current_user_can('manage_options')) {
    exit;
} 
$this->custom_assets();
?>

<div class="wpbakery_wrap wpbakery_to_elementor_settings">

<?php
$msg = isset($_GET['msg']) ? intval($_GET['msg']) : '';

if (current_user_can('manage_options') && isset($_POST['submit_wpbakery_to_elementor'])):
    // Verify the nonce
    if (!isset($_POST['wpbakerytoelementor_nonce_field']) || !wp_verify_nonce(sanitize_text_field(wp_unslash($_POST['wpbakerytoelementor_nonce_field'])), 'wpbakerytoelementor_action')) {
        wp_die(esc_html__('Security check failed.', 'convert-wpbakery-to-elementor'));
    }

    //_e('<div class="saving-txt"><strong>Saving Please wait...</strong></div>','convert-wpbakery-to-elementor');
		$wpbakery_to_elementor_str_pleasewait = "Saving Please wait...";
		echo wp_kses(sprintf(
		        /* translators: %s: the "please wait" message */
		        '<div class="saving-txt"><strong>%s</strong></div>',
		        esc_html($wpbakery_to_elementor_str_pleasewait)),
		    array('div' => array('class' => array()),'strong' => array(),));

        //"wpbakery_to_elementor_editor" => sanitize_text_field(htmlentities($_POST["wpbakery_to_elementor_editor"])),
        //"wpbakery_to_elementor_status" => sanitize_text_field(htmlentities($_POST["wpbakery_to_elementor_status"])),
    	//"wpbakery_to_elementor_redirect" => sanitize_text_field(htmlentities(wp_unslash($_POST["wpbakery_to_elementor_redirect"]))),
    	//"wpbakery_to_elementor_suffix" => sanitize_text_field(htmlentities(wp_unslash($_POST["wpbakery_to_elementor_suffix"])))


		if (isset($_POST["wpbakery_to_elementor_redirect"]) && isset($_POST["wpbakery_to_elementor_suffix"]) && isset($_POST["wpbakery_to_elementor_licensekey"])) {
	        
			// validate License key
			$wpbakery_to_elementor_licensekey = sanitize_text_field(wp_unslash($_POST['wpbakery_to_elementor_licensekey'] ?? ''));
			if (preg_match('/^[a-g0-9\-]{1,30}$/', $wpbakery_to_elementor_licensekey)) {
			} else {
				$wpbakery_to_elementor_licensekey = "";
			}
	        $wpbakerytoelementoroptions = array(
	             "wpbakery_to_elementor_redirect" => sanitize_text_field(wp_unslash($_POST["wpbakery_to_elementor_redirect"])),
	             "wpbakery_to_elementor_suffix" => sanitize_text_field(wp_unslash($_POST["wpbakery_to_elementor_suffix"])),
	             "wpbakery_to_elementor_licensekey" => $wpbakery_to_elementor_licensekey
	        );

	        $saveSettings = update_option('wpbakery_to_elementor_options', $wpbakerytoelementoroptions);
	        if ($saveSettings) {
	            wpbakery_to_elementor::wte_redirect('tools.php?page=wpbakery-to-eIementor&msg=1');
	        } else {
	            wpbakery_to_elementor::wte_redirect('tools.php?page=wpbakery-to-eIementor&msg=2');
	        }
        }
endif;

$opt = get_option('wpbakery_to_elementor_options');

$wpbakery_to_elementor_str_saved = "Settings saved.";
$wpbakery_to_elementor_str_notsaved = "Settings not saved.";
$wpbakery_to_elementor_str_dismissnotice = "Dismiss this notice.";

if (!empty($msg) && $msg == 1):
    //_e('<div class="updated settings-error notice is-dismissible" id="setting-error-settings_updated"> 
    //<p><strong>Settings saved.</strong></p><button class="notice-dismiss button-custom-dismiss" type="button"><span class="screen-reader-text">Dismiss this notice</span></button></div>','convert-wpbakery-to-elementor');
	
	echo wp_kses(sprintf(
        /* translators: 1: saved message, 2: dismiss notice */
        __('<div class="updated settings-error notice is-dismissible" id="setting-error-settings_updated">
            <p><strong>%1$s</strong></p>
            <button class="notice-dismiss button-custom-dismiss" type="button"><span class="screen-reader-text">%2$s</span></button>
        </div>', 'convert-wpbakery-to-elementor'),
        esc_html($wpbakery_to_elementor_str_saved),
        esc_html($wpbakery_to_elementor_str_dismissnotice)),
	    array(
	        'div' => array('class' => array(),'id' => array(),),
	        'p' => array(),
	        'strong' => array(),
	        'button' => array('class' => array(),'type' => array(),),
	        'span' => array('class' => array(),),)
		);

elseif (!empty($msg) && $msg == 2):
  //_e('<div class="error settings-error notice is-dismissible" id="setting-error-settings_updated"> 
  //<p><strong>Settings not saved.</strong></p><button class="notice-dismiss button-custom-dismiss" type="button"><span class="screen-reader-text">Dismiss this notice</span></button></div>','convert-wpbakery-to-elementor');
		echo wp_kses(sprintf(
		        /* translators: 1: not saved message, 2: dismiss notice */
		        __('<div class="error settings-error notice is-dismissible" id="setting-error-settings_updated">
		            <p><strong>%1$s</strong></p>
		            <button class="notice-dismiss button-custom-dismiss" type="button"><span class="screen-reader-text">%2$s</span></button>
		        </div>', 'convert-wpbakery-to-elementor'),
		        esc_html($wpbakery_to_elementor_str_notsaved),
		        esc_html($wpbakery_to_elementor_str_dismissnotice)
		    ),
		    array(
		        'div' => array('class' => array(),'id' => array(),),
		        'p' => array(),
		        'strong' => array(),
		        'button' => array('class' => array(),'type' => array(),),
		        'span' => array('class' => array(),),
		    )
		);
endif;
?>


<div id="wpbakery-elementor-admin" class="wrap">
	<h2 style="display: none;"></h2>
	<div id="wpbakery-elementor-admin-container">
	<div id="wpbakery-elementor-admin-header">
	<div class="wpbakery-elementor-admin-block">
		
		<div>
			<?php
			echo '<img style="width:200px;" src="' . esc_url(plugins_url('../images/logo-wpbakery-to-elementor.png', __FILE__)) . '" alt="Logo - wpbakery to elementor">';
			?>
		</div>

		<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
		<div id="post-body-content" style="position: relative;">
			<form action="" method="post" name="wpbakery_to_elementor_form">

			<?php wp_nonce_field('wpbakerytoelementor_action', 'wpbakerytoelementor_nonce_field'); ?>
			<table class="form-table">
			<tbody>

			<!--
				<tr>
				<th scope="row"><label for="wpbakery_to_elementor_status"><?php esc_html_e('Elementor Page Status', 'convert-wpbakery-to-elementor'); ?></label></th>
				<td>
				    <select id="wpbakery_to_elementor_status" name="wpbakery_to_elementor_status">
				    	<option value="draft" <?php echo($opt['wpbakery_to_elementor_status'] == 'draft') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('Draft', 'convert-wpbakery-to-elementor'); ?></option>
				    	<option value="publish" <?php echo($opt['wpbakery_to_elementor_status'] == 'publish') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('Publish', 'convert-wpbakery-to-elementor'); ?></option>
				    	<option value="private" <?php echo($opt['wpbakery_to_elementor_status'] == 'private') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('Private', 'convert-wpbakery-to-elementor'); ?></option>
				    	<option value="pending" <?php echo($opt['wpbakery_to_elementor_status'] == 'pending') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('Pending', 'convert-wpbakery-to-elementor'); ?></option>
				        </select>
				    <p><?php esc_html_e('Please select any page status you want to assign.<strong> Default: </strong> Draft','convert-wpbakery-to-elementor'); ?></p>
				</td>
				</tr>
			-->

			<tr>
			<th scope="row"><label for="wpbakery_to_elementor_redirect"><?php esc_html_e('Redirect after converting', 'convert-wpbakery-to-elementor'); ?></label></th>
			<td><select id="wpbakery_to_elementor_redirect" name="wpbakery_to_elementor_redirect">
				<option value="to_list" <?php echo($opt['wpbakery_to_elementor_redirect'] == 'to_list') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('To All Posts List', 'convert-wpbakery-to-elementor'); ?></option>
				<option value="to_page" <?php echo($opt['wpbakery_to_elementor_redirect'] == 'to_page') ? "selected = 'selected'" : ''; ?>><?php esc_html_e('To Edit Screen', 'convert-wpbakery-to-elementor'); ?></option>
			    </select>
			</td>
			</tr>

			<tr>
				<th scope="row"><label for="wpbakery_to_elementor_suffix"><?php esc_html_e('Elementor Page Suffix', 'convert-wpbakery-to-elementor'); ?></label></th>
				<td>
				 <input type="text" class="regular-text" value="<?php echo !empty($opt['wpbakery_to_elementor_suffix']) ? esc_attr($opt['wpbakery_to_elementor_suffix']) : ''; ?>" id="wpbakery_to_elementor_suffix" name="wpbakery_to_elementor_suffix" />
				    <p><?php esc_html_e('Add a suffix for the Elementor copy. It will show after the title.', 'convert-wpbakery-to-elementor'); ?></p>
				</td>
			</tr>

			<tr>
				<th scope="row"><label for="wpbakery_to_elementor_licensekey"><?php esc_html_e('PRO License Key', 'convert-wpbakery-to-elementor'); ?></label></th>
				<td>
				 <input type="text" class="regular-text" value="<?php echo !empty($opt['wpbakery_to_elementor_licensekey']) ? esc_attr($opt['wpbakery_to_elementor_licensekey']) : ''; ?>" id="wpbakery_to_elementor_licensekey" name="wpbakery_to_elementor_licensekey" />
				    <p><?php
						/* translators: %s is the link to the features page. */
						$text = sprintf(esc_html__('Convert more element types with PRO. %s', 'convert-wpbakery-to-elementor'),'<a href="https://www.wpbakery-to-elementor.com/#compare" target="_blank">' . esc_html__('View features', 'convert-wpbakery-to-elementor') . '</a>'
						);

						/* Escape the entire output. */
						echo wp_kses_post($text);
						?></p>
				</td>
			</tr>

			</tbody></table>
			<p class="submit"><input type="submit" value="<?php esc_html_e('Save Changes','convert-wpbakery-to-elementor'); ?>" class="button button-primary" id="submit" name="submit_wpbakery_to_elementor" /></p>
			</form>
		</div><!-- end post-body-content -->
		</div><!-- end post-body -->
		</div><!-- end poststuff -->
		<div class="wpbakery_clear"><!-- --></div>


	</div><!-- end wpbakery-elementor-admin-block -->

	<div style="margin-top:2em;padding-bottom:2em;" class="wpbakery-elementor-admin-block">
		<div>
			<h2 style="color:#333;">Instructions</h2>
			<ol class="wpbakery_ordered_list">
				<li>Both WPBakery and Elementor must be installed.</li>
				<li>Go to Pages or Posts.</li>
				<li>Click on the link "Create Elementor copy (see below).<br />
					The link only shows on pages and posts that have been edited with WPBakery.
				</li>
				<li>Create one copy at a time.</li>
			</ol>
			<?php
			echo '<img style="width:100%;" src="' . esc_url(plugins_url('../images/how-to-migrate-from-wpbakery-to-elementor.png', __FILE__)) . '" alt="Instructions - WPBakery to Elementor">';
			?>

			<p style="color:#333;line-height:1.45em;">We are improving the plugin every day. We would love your feedback<br />Write us at <a href="mailto:info@wpbakery-to-elementor.com">info@wpbakery-to-elementor.com</a></p>
		</div>

	</div><!-- end wpbakery-elementor-admin-block -->
	</div>
	</div>
	</div>

</div>





